Jump to content


Photo

XPEnology Users Read Me

XPEnology ReadMe GettingStarted

  • Please log in to reply
122 replies to this topic

#41 solabc16 OFFLINE  

solabc16

    Advanced Member

  • ForumMod
  • 1967 posts
  • Local time: 02:20 PM

Posted 06 September 2017 - 07:32 AM

Hello All

 

Please see https://emby.media/c...260-1/?p=484872, regarding virtual NAS implementations that emulate newer h/w.

 

Best

- James



#42 solabc16 OFFLINE  

solabc16

    Advanced Member

  • ForumMod
  • 1967 posts
  • Local time: 02:20 PM

Posted 07 September 2017 - 07:45 AM

Hello All

 

Emby Server is now fully support on XPEnology systems that are based on the newer Synology DS3617xs, see the link above if you want more details.

 

We've also added an optimised build for systems based on Intel's 'westmere' microarchitecture, see https://github.com/M...s-for-XPEnology.

 

Let us know how you get on...

 

Best

- James


Edited by solabc16, 07 September 2017 - 07:45 AM.


#43 solabc16 OFFLINE  

solabc16

    Advanced Member

  • ForumMod
  • 1967 posts
  • Local time: 02:20 PM

Posted 09 September 2017 - 08:18 AM

Hello All

 

A quick note for those of you running systems based on AMD processors, you should consider using the following URL when adding Emby to Package Center:-

https://synology.emby.media/?package_repository=360efc6e-de72-4073-b603-2bfbd7001586&package_architecture=xpen-barcelona

Although it might seem to work ok, running the Intel packages on AMD h/w may be the cause of subtle errors and/or occasional crashes. (e.g. https://emby.media/c...raping-images/)

 

If you have newer AMD h/w and would like an optimised build for your h/w, just shout here!

 

Best

- James



#44 solabc16 OFFLINE  

solabc16

    Advanced Member

  • ForumMod
  • 1967 posts
  • Local time: 02:20 PM

Posted 14 September 2017 - 04:17 AM

Hello All

 

A custom package for systems based on Intel's Haswell microarchitecture is now available: https://github.com/M...s-for-XPEnology

 

Best

- James



#45 memetopal OFFLINE  

memetopal

    Member

  • Members
  • 24 posts
  • Local time: 02:20 PM

Posted 14 September 2017 - 07:03 AM

Hi!

First i would like to say thank you to everyone involved in developing Emby for Synology and Xpenology.

 

I have an Xpenology with an Intel Core 2 Quad Q9400 @2.66 Ghz. Is there any package already developed for this architecture? Should i use xpen-core2-sse41 maybe?

 

Thanks in advance



#46 solabc16 OFFLINE  

solabc16

    Advanced Member

  • ForumMod
  • 1967 posts
  • Local time: 02:20 PM

Posted 14 September 2017 - 08:14 AM

Hello @memetopal

 

Thanks for the feedback, the Intel Q9400 is a Yorkfield-6M variant and supports SSE4.1.

 

So you are correct, the xpen-core2-sse41 package would be optimal for your h/w.

 

Best

- James



#47 memetopal OFFLINE  

memetopal

    Member

  • Members
  • 24 posts
  • Local time: 02:20 PM

Posted 16 September 2017 - 03:37 PM

Hello @memetopal

 

Thanks for the feedback, the Intel Q9400 is a Yorkfield-6M variant and supports SSE4.1.

 

So you are correct, the xpen-core2-sse41 package would be optimal for your h/w.

 

Best

- James

 

Thanks! Already installed it and working great so far.



#48 mixedd OFFLINE  

mixedd

    Newbie

  • Members
  • 1 posts
  • Local time: 04:20 PM

Posted 20 September 2017 - 03:12 PM

What about a older hardware and CPU support!

I run xpenology 6.1 on and scraped Intel Atom D525 based small home NAS!

Can i somehow install and use Emby server here too???



#49 solabc16 OFFLINE  

solabc16

    Advanced Member

  • ForumMod
  • 1967 posts
  • Local time: 02:20 PM

Posted 22 September 2017 - 05:32 AM

Hello @mixedd

 

A good question and the short answer is yes. We're just working through getting the 3.2.32.0 release out, then I'll give this some attention.

 

Best

- James


Edited by solabc16, 22 September 2017 - 05:32 AM.


#50 ultimatevc OFFLINE  

ultimatevc

    Newbie

  • Members
  • 1 posts
  • Local time: 02:20 PM

Posted 30 November 2017 - 11:01 AM

Good afternoon everyone.
 
thanks to you I am learning a lot these days. I have mounted a NAS with Xpenology 6.0 and I have installed Emby from the repository  "https://synology.emb...pen-barcelona"   but when I run Emby, it shows me an error "The service could not be executed".
 
I have an "ASUS E35M1-I DELUXE" base station with cpu "Fusion APU E-350 Dual-Core Processors" and chipset "AMD® FCH A50 (Hudson M1)".
 
Do you think Emby can not work on my computer?
Thank you very much!

Edited by ultimatevc, 30 November 2017 - 11:20 AM.


#51 solabc16 OFFLINE  

solabc16

    Advanced Member

  • ForumMod
  • 1967 posts
  • Local time: 02:20 PM

Posted 30 November 2017 - 07:01 PM

Hello @ultimatevc

 

Theoretically we shouldn't have any issues getting Emby Server running on your platform.

 

To help us find out what is going on, can you run the diagnostics then the send logs utility.

 

Details are here on the wiki:-

 

https://github.com/M...Run-Diagnostics

 

https://github.com/M...us-Support-Logs

 

Best

- James



#52 frogger OFFLINE  

frogger

    Member

  • Members
  • 22 posts
  • Local time: 01:20 PM

Posted 05 December 2017 - 05:02 PM

Hi,

 

I'm running a XPEnology DSM 6.1.3-15152 Update 8 on an older i7-920 bare metal rig.

The previous Emby version (which installed just fine using https://synology.emb...3-2bfbd7001586)was running smoothly until I tried to install the 3.2.40 update today.

 

First off, updating to the latest version of Emby was not possible.The DSM package manager reported that the package download failed. The messages log contains the following corresponding errors:

2017-12-05T19:48:19+01:00 Helios synoscgi_SYNO.Core.Package.Thumb.Server_1_get[3527]: pkgimagetool.cpp:220 Wrong content type text/html; charset=UTF-8 in https://synology.emby.media/?package_repository=360efc6e-de72-4073-b603-2bfbd7001586/packages/synology/stable/3.2.40.0-1/EmbyServer_3.2.40.0-1_bromolow_thumb_72.png
2017-12-05T19:48:24+01:00 Helios synoscgi_SYNO.Core.Package.Installation_1_install[5088]: pkgserver.cpp:735 Warning: Failed to verify the package /volume1/@tmp/@synopkg/@download/EmbyServer/@SYNOPKG_DOWNLOAD_EmbyServer by MD5 ad9958e5c4e89c934236ad255d319ec1
2017-12-05T19:48:24+01:00 Helios synoscgi_SYNO.Core.Package.Installation_1_install[5088]: pkgserver.cpp:736 Warning: Failed to download EmbyServer from https://synology.emby.media/?package_repository=360efc6e-de72-4073-b603-2bfbd7001586/packages/synology/stable/3.2.40.0-1/EmbyServer_3.2.40.0-1_bromolow.spk
2017-12-05T19:48:24+01:00 Helios synoscgi_SYNO.Core.Package.Installation_1_install[5088]: pkgtool.cpp:1815 Failed to extract package INFO to /volume1/@tmp/qnWoZb
2017-12-05T19:48:24+01:00 Helios synoscgi_SYNO.Core.Package.Installation_1_install[5088]: pkgtool.cpp:1816 /bin/tar xf /volume1/@tmp/@synopkg/@download/EmbyServer/@SYNOPKG_DOWNLOAD_EmbyServer -C /volume1/@tmp/qnWoZb INFO --no-same-owner
2017-12-05T19:48:24+01:00 Helios synoscgi_SYNO.Core.Package.Installation_1_install[5088]: pkgtool.cpp:1862 Failed to query info
2017-12-05T19:48:24+01:00 Helios synoscgi_SYNO.Core.Package.Installation_1_install[5088]: pkgserver.cpp:747 Faild to download https://synology.emby.media/?package_repository=360efc6e-de72-4073-b603-2bfbd7001586/packages/synology/stable/3.2.40.0-1/EmbyServer_3.2.40.0-1_bromolow.spk

After some experimenting with the repo link I managed to download EmbyServer_3.2.40.0-1_bromolow.spk and successfully installed it manually.

I probably shouldn't have done that since Emby now refuses to start with no obvious errors in the log files. The start-stop-status log contains the following lines

[2017-12-05 20:50:20 UTC] Script called with action [status]...
[2017-12-05 20:50:20 UTC] >> PID file [/var/packages/EmbyServer/target/var/embysvr.pid] does not exist.
[2017-12-05 20:50:20 UTC] >> Emby Server is not running.
[2017-12-05 20:50:20 UTC] >> Exit status is [3].
[2017-12-05 20:50:20 UTC] Script called with action [log]...
[2017-12-05 20:50:20 UTC] >> Returning log file location [/var/packages/EmbyServer/target/var/logs/start-stop-status_20171205.log].
[2017-12-05 20:50:20 UTC] >> Exit status is [0].

Diagnostic files here: sendlogs_Helios_synology_bromolow_3615xs_20171205T205238UTC.tgz

 

Your help in fixing this issue is greatly appreciated!

 

 



#53 solabc16 OFFLINE  

solabc16

    Advanced Member

  • ForumMod
  • 1967 posts
  • Local time: 02:20 PM

Posted 06 December 2017 - 06:56 PM

Hello @frogger

 

There's likely a couple of things going on here, firstly can you check that the certificate for the repository is still in place - see this post for details: https://emby.media/c...ished/?p=514213.

 

it looks like a DSM update on a small number of systems has been causing the certificate to 'disappear'. We haven't been able to produce this so far on any of our test/development systems.

 

Best

- James



#54 frogger OFFLINE  

frogger

    Member

  • Members
  • 22 posts
  • Local time: 01:20 PM

Posted 07 December 2017 - 05:36 AM

Hi James,

 

thanks for the hint. Based on that, I did some more experimenting and while the certificate was still in place it pointed me something else.

 

For some unknown reason, DSM keeps adding a slash at the end of the URL.

While this doesn't cause any issues for FQDN-only URLs like https://synology.emby.media/, doing so for an URL with GET parameters (?package_repository=360efc6e-de72-4073-b603-2bfbd7001586/) points curl to an unavailable location.

 

Removing the trailing slash in /usr/syno/etc/packages/feeds and restarting the package manger solved the download issue.

As a consequence a XPenology compatible Envy package gets downloaded and installed, which also resolves the non-startup issue.

 

However, I've noticed that media will now more frequently hang for a couple of seconds when its being transcoded using the same resolution/bandwidth settings selected in the previous version.

Can you please advise an architecture parameter and/or transcoder setting that more closely matches my i7-920 CPU?

 

Alternatively, is there any way to download any previous version?

I understand that rolling back a version can cause all kinds of issues but it would be nice to have the option (like a simple direct download archive), even if it means loosing the meta-data and starting from scratch.
 

Again, thank you for your help!



#55 HaiToo OFFLINE  

HaiToo

    Newbie

  • Members
  • 1 posts
  • Local time: 09:20 PM

Posted 27 December 2017 - 02:57 AM

 
  The Celeron CPU,which one I select?  or it can't work under this architecture?
 
Logs:
       product: Intel® Celeron® CPU        E3200  @ 2.40GHz
       vendor: Intel Corp.
       physical id: 4
       bus info: cpu@0
       version: Intel® Celeron® CPU E3200 @ 2.40GHz
       slot: LGA775
       capabilities: x86-64 fpu fpu_exception wp vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx constant_tsc arch_perfmon pebs bts rep_good nopl aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm xsave lahf_lm dtherm tpr_shadow vnmi flexpriority cpufreq
       configuration: cores=2 enabledcores=2 threads=2
 
thanks!!


#56 genous5201314 OFFLINE  

genous5201314

    Newbie

  • Members
  • 1 posts

Posted 20 January 2018 - 10:29 PM

Please let me know what I need to get this working on my hardware.  Thanks.

 
my xpenology running on DSM6.02-8451
Attached File  IMG_3669(20180121-101823).jpg   227.84KB   1 downloadsAttached File  rundiags_20180121T092019UTC.log   11.66KB   4 downloadsAttached File  IMG_3670(20180121-103600).jpg   441.8KB   0 downloads

Edited by genous5201314, 20 January 2018 - 10:39 PM.


#57 matpez OFFLINE  

matpez

    Newbie

  • Members
  • 2 posts
  • Local time: 02:20 PM

Posted 10 March 2018 - 11:03 AM

Hi folks,

 

newby user here... 

 

Installed emby from  https://synology.emby.media/?package_repository=360efc6e-de72-4073-b603-2bfbd7001586

 

And now I can`t get it to start...

 

i did send log and this is file name  sendlogs_Synology_synology_broadwell_3617xs_20180310T144919UTC.tgz  

 

Now, what to do to get it started?

 

Thanks for your help in advance.



#58 matpez OFFLINE  

matpez

    Newbie

  • Members
  • 2 posts
  • Local time: 02:20 PM

Posted 10 March 2018 - 02:03 PM

Hi folks,

 

newby user here... 

 

Installed emby from  https://synology.emby.media/?package_repository=360efc6e-de72-4073-b603-2bfbd7001586

 

And now I can`t get it to start...

 

i did send log and this is file name  sendlogs_Synology_synology_broadwell_3617xs_20180310T144919UTC.tgz  

 

Now, what to do to get it started?

 

Thanks for your help in advance.

 

Found it!

 

If you take a look at this Wiki page - https://github.com/M...s-for-XPEnology, follow the instructions there and use the 'xpen-core2' alternate package architecture.



#59 Luke OFFLINE  

Luke

    System Architect

  • Administrators
  • 127151 posts
  • Local time: 09:20 AM

Posted 10 March 2018 - 02:47 PM

Glad you worked it out.

#60 solabc16 OFFLINE  

solabc16

    Advanced Member

  • ForumMod
  • 1967 posts
  • Local time: 02:20 PM

Posted 19 March 2018 - 10:25 AM

Hello @matpez

 

Sorry for the delay in responding, great job on getting it sorted and thanks for letting us know.

 

The 'xpen-core2' package is indeed the one optimised for your system.

 

For other readers with XPEnology based systems, here's a couple of useful resources to help with identifying Core 2 based systems....

 

 

 

Best

- James







Also tagged with one or more of these keywords: XPEnology, ReadMe, GettingStarted

0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users